org.wso2.carbon.mdm.services.android.bean.wrapper

## Class AndroidDevice

- java.lang.Object
- - org.wso2.carbon.mdm.services.android.bean.wrapper.AndroidDevice

- All Implemented Interfaces:
    Serializable

      public class AndroidDevice
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AndroidDevice.Property`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AndroidDevice()`
    `AndroidDevice(String name, String description, String deviceId, org.wso2.carbon.device.mgt.common.EnrolmentInfo enrolmentInfo, List<org.wso2.carbon.device.mgt.common.Feature> features, List<org.wso2.carbon.device.mgt.common.Device.Property> properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `List<org.wso2.carbon.device.mgt.common.app.mgt.Application>` | `getApplications()`
    `String` | `getDescription()`
    `String` | `getDeviceIdentifier()`
    `org.wso2.carbon.device.mgt.common.device.details.DeviceInfo` | `getDeviceInfo()`
    `org.wso2.carbon.device.mgt.common.EnrolmentInfo` | `getEnrolmentInfo()`
    `List<org.wso2.carbon.device.mgt.common.Feature>` | `getFeatures()`
    `String` | `getName()`
    `List<org.wso2.carbon.device.mgt.common.Device.Property>` | `getProperties()`
    `int` | `hashCode()`
    `void` | `setApplications(List<org.wso2.carbon.device.mgt.common.app.mgt.Application> applications)`
    `void` | `setDescription(String description)`
    `void` | `setDeviceIdentifier(String deviceIdentifier)`
    `void` | `setDeviceInfo(org.wso2.carbon.device.mgt.common.device.details.DeviceInfo deviceInfo)`
    `void` | `setEnrolmentInfo(org.wso2.carbon.device.mgt.common.EnrolmentInfo enrolmentInfo)`
    `void` | `setFeatures(List<org.wso2.carbon.device.mgt.common.Feature> features)`
    `void` | `setName(String name)`
    `void` | `setProperties(List<org.wso2.carbon.device.mgt.common.Device.Property> properties)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AndroidDevice

          public AndroidDevice()

    - #### AndroidDevice

          public AndroidDevice(String name,
                       String description,
                       String deviceId,
                       org.wso2.carbon.device.mgt.common.EnrolmentInfo enrolmentInfo,
                       List<org.wso2.carbon.device.mgt.common.Feature> features,
                       List<org.wso2.carbon.device.mgt.common.Device.Property> properties)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

    - #### getDeviceIdentifier

          public String getDeviceIdentifier()

    - #### setDeviceIdentifier

          public void setDeviceIdentifier(String deviceIdentifier)

    - #### getEnrolmentInfo

          public org.wso2.carbon.device.mgt.common.EnrolmentInfo getEnrolmentInfo()

    - #### setEnrolmentInfo

          public void setEnrolmentInfo(org.wso2.carbon.device.mgt.common.EnrolmentInfo enrolmentInfo)

    - #### getFeatures

          public List<org.wso2.carbon.device.mgt.common.Feature> getFeatures()

    - #### setFeatures

          public void setFeatures(List<org.wso2.carbon.device.mgt.common.Feature> features)

    - #### getProperties

          public List<org.wso2.carbon.device.mgt.common.Device.Property> getProperties()

    - #### setProperties

          public void setProperties(List<org.wso2.carbon.device.mgt.common.Device.Property> properties)

    - #### getDeviceInfo

          public org.wso2.carbon.device.mgt.common.device.details.DeviceInfo getDeviceInfo()

    - #### setDeviceInfo

          public void setDeviceInfo(org.wso2.carbon.device.mgt.common.device.details.DeviceInfo deviceInfo)

    - #### getApplications

          public List<org.wso2.carbon.device.mgt.common.app.mgt.Application> getApplications()

    - #### setApplications

          public void setApplications(List<org.wso2.carbon.device.mgt.common.app.mgt.Application> applications)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2017 WSO2. All rights reserved.